Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IRecordingDeviceSource Class Referenceabstract

`#include <NGIAgoraAudioDeviceManager.h>`

Inherits agora::RefCountInterface.

## Public Member Functions
virtual int | initRecording (const char *deviceName=NULL)=0
virtual int | startRecording (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | stopRecording (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | registerAudioFrameObserver (media::IAudioPcmFrameSink *observer, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unregisterAudioFrameObserver (media::IAudioPcmFrameSink *observer)=0
virtual int | setLoopbackDeviceParameter (const LoopbackRecordingOption &option, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual | ~IRecordingDeviceSource ()
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IRecordingDeviceSource()

virtual agora::rtc::IRecordingDeviceSource::~IRecordingDeviceSource | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ initRecording()

virtual int agora::rtc::IRecordingDeviceSource::initRecording | ( | const char * | deviceName = NULL | ) |
| pure virtual

Initialize the recording device source.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ startRecording()

virtual int agora::rtc::IRecordingDeviceSource::startRecording | ( | aosl_ref_t | ares = AOSL_REF_INVALID | ) |
| pure virtual

Start the recording device.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ stopRecording()

virtual int agora::rtc::IRecordingDeviceSource::stopRecording | ( | aosl_ref_t | ares = AOSL_REF_INVALID | ) |
| pure virtual

Stop the recording device.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ registerAudioFrameObserver()

virtual int agora::rtc::IRecordingDeviceSource::registerAudioFrameObserver | ( | media::IAudioPcmFrameSink * | observer,
|  | aosl_ref_t | ares = AOSL_REF_INVALID )
| pure virtual

Registers an audio frame observer.

Parameters

  observer | The pointer to the IAudioFrameObserver object.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ unregisterAudioFrameObserver()

virtual int agora::rtc::IRecordingDeviceSource::unregisterAudioFrameObserver | ( | media::IAudioPcmFrameSink * | observer | ) |
| pure virtual

Releases the registered IAudioFrameObserver object.

Parameters

  observer | The pointer to the IAudioFrameObserver object created by the `registerAudioPcmDataCallback` method.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ setLoopbackDeviceParameter()

virtual int agora::rtc::IRecordingDeviceSource::setLoopbackDeviceParameter | ( | const LoopbackRecordingOption & | option,
|  | aosl_ref_t | ares = AOSL_REF_INVALID )
| pure virtual

Set parameter to object loopback device;

Parameters

  option | 0: Success. < 0: Failure.